{% extends '::base.html.twig' %} 

{% block title %}Reporte de Pedidos Cancelados{% endblock %}

{% block stylesheets %}
	<link rel="stylesheet" type="text/css" href="{{ asset('bundles/mdrreportes/css/reportes.css') }}">
{% endblock %}
{% block body %}
<!--BARRA DE MENUS-->
	<div class="container" style="width:97%; margin-top:15px;">

      <div class="at_reportes">
			 <div id="rep_opmenu">
      				{{form(form_rep)}}
      		</div>
      	<div class="table-responsive">	
      		<table id='tbl_reportes' class="table table-bordered">
				<thead class='head_table'>
					<tr>
						<th style="width: 112px;">Orivta</th>
						<th style="width: 112px;">Ordvta</th>
						<th style="width: 112px;">FAlta</th>
						<th style="width: 112px;">TPago</th>
						<th style="width: 112px;">MCobro</th>	
						<th style="width: 112px;">Estatus</th>
						<th style="width: 112px;">Operador</th>
						<th style="width: 112px;">Cliente</th>
						<th style="width: 112px;">Cancelación</th>
						<th style="width: 238px;">Comentarios</th>						
					</tr>
				</thead>
				<tbody id="body_tbl_reportes" style="background: white;">
				{% for entity in cancelados %}
					<tr>
						<td style="width: 112px;">{{ entity.pedido.productos[0].productoPrecio.oficinaVenta.descripcion }}</td>
						<td style="width: 112px;">{{ entity.pedido.idPedido }}</td>
						<td style="width: 112px;">{{ entity.pedido.fecha.date|date("m/d/Y H:i:s") }}</td>
						<td style="width: 112px;">{{ entity.pedido.pago.descripcion }}</td>
						<td style="width: 112px;">${{ entity.pedido.totalPago }}</td>
						<td style="width: 112px;">{{ entity.pedido.estatus.descripcion }}</td>
						<td style="width: 112px;">{{ entity.pedido.usuario.uNombre }} {{ entity.pedido.usuario.uApPaterno }} {{ entity.pedido.usuario.uApMaterno }}</td>
						<td style="width: 112px;">{{ entity.pedido.cliente.nombre }} {{ entity.pedido.cliente.apellidoPaterno }} {{ entity.pedido.cliente.apellidoMaterno }}</td>
						<td style="width: 112px;">{{ entity.tipoCancelacion.descripcion }}</td>
						<td style="width: 238px;">{{ entity.comentariosCancelacion|raw }}</td>
					</tr>	
						{% endfor %}	
					
				</tbody>
			</table>	
		</div>					
      </div>
	</div>
{% endblock %}
{% block javascripts %}
	<script src="{{ asset('vendor/js/ExportExcel.js') }}"></script>

	<script>
//ESTILO DE LA TABLA Y FUNCION DROPDOWN MENU RESPONSIVE
$(document).ready(function() {
						var table  = $('#tbl_reportes').DataTable({
        					"language":DataTables.languaje.es 					
        				});	
						


						$( "select" ).addClass( "form-control" );
			        	$( "input[type='text']" ).addClass( "form-control" );
			        	$( "input[type='search']").addClass( "form-control" );			        	
			        	$( "#tbl_reportes_length" ).addClass( "form-inline" );
			        	$( "#tbl_reportes_filter" ).addClass( "form-inline" );      


    	});

		function loadPedidos(){
			showLoading('Cargando Pedidos ...</h3>');
		}




		function loadPedidos(){
			showLoading('Cargando Pedidos ...</h3>');
		}

	$( "#form_fechaInicio" ).datepicker({
      format:   "dd/mm/yyyy",
      changeMonth: true,
      changeYear: true,
      yearRange: "1900:2050",
    });

    $( "#form_fechaFin" ).datepicker({
      format:   "dd/mm/yyyy",
      changeMonth: true,
      changeYear: true,
      yearRange: "1900:2050",
    });



    //validar fechas	
	function vd_date(){
		
		var date1 = createdate($('#form_fechaInicio').val());
		var date2 = createdate($('#form_fechaFin').val());

		if (date1 <= date2) {
			$('#form_Consultar').attr("disabled", false);			
		}else if (date1 > date2){
			alert("La fecha de fin no puede ser una fecha anterior a la fecha de Inicio");
			$('#form_Consultar').attr("disabled", true);	
		}

	}	
	</script>
{% endblock %}